import java.sql.*;
import java.util.*;

public class GenreDB extends Genre
{
    protected static Connection dbConnect=null;
    public static Exception erreur=null;
    public GenreDB()
    {
    }
    
    public GenreDB(String genre)
    {
        super(genre);
        ajouter();
    }
    
    public GenreDB(int id_genre,String genre)
    {
        super(id_genre,genre);
    }
    
    public void afficher(GenreDB genr)
    {
	System.out.println(genr.getIdGenre()+".Genre :"+genr.getGenre()+"\n");
    }
    public static void setConnection(Connection nouvdbConnect) 
    {
      	dbConnect=nouvdbConnect;
    }
    
    public static Vector rechAllGenre()
	{ Vector plusieurs=new Vector();
	String req = "select * from genre";	
	    erreur=null;
	    try
	    {
	    	PreparedStatement pstm = dbConnect.prepareStatement(req);
	     	ResultSet rs = pstm.executeQuery();
	     	while(rs.next())
	     	{
	        	int id_genre=rs.getInt("id_genre");
	     		String genre=rs.getString("genre");
	     		plusieurs.add(new GenreDB(id_genre,genre));
	      	}
	      	pstm.close();
		}
		catch(Exception e)
		{
			erreur =e;
		}
		
	    return plusieurs;
	}
    
    public String affichGenreId(int id_genre)
    {
        erreur = null;
     	String m = "";
    	try
    	{
    		String req="select genre from genre where id_genre=?";
    		PreparedStatement pstm = dbConnect.prepareStatement(req);
            pstm.setInt(1,id_genre);
    		ResultSet rs = pstm.executeQuery();
    		if(rs.next()) 
    			m= rs.getString(1);
    		else 
    			m="";
    		pstm.close();
    		return m; 
    	}
    	catch(Exception e)
    	{
            erreur= e;
    		return "lol";
    	}
    }
    
    public void ajouter()
    {
        erreur = null;		
    	try
    	{
	 	String req = "INSERT INTO genre (genre) values (?)";	
	     	PreparedStatement pstm = dbConnect.prepareStatement(req);
	     	pstm.setString(1,genre);
	     	pstm.executeUpdate();
	     	pstm.close();
	 	}
	    catch(Exception e)
	    {
	  	  	erreur=e;
	  	}
    }
}
