
import java.io.*;
public class Lecture
{	public static String lireString()
	{	String ligne=null;
		try
		{    InputStreamReader lecteur=new InputStreamReader(System.in);
		     BufferedReader entree=new BufferedReader(lecteur);
		     ligne=entree.readLine();
		}
		catch (IOException err)
		{	System.exit(0);
		}
		return ligne;
	}
	public static float lireFloat()
	{	float x=0;
		try
		{	String ligne=lireString();
			x= Float.parseFloat(ligne);
		}
		catch(NumberFormatException err)
		{	System.out.println("***erreur de donnees***");
			System.exit(0);
		}
		return x;
	}
	public static double lireDouble()
	{	double x=0;
		try
		{	String ligne=lireString();
			x= Double.parseDouble(ligne);
		}
		catch (NumberFormatException err)
		{	System.out.println("***erreur de donnees***");
			System.exit(0);
		}
		return x;
	}
	public static int lireInt()
	{	int x=0;
		try
		{	String ligne=lireString();
			x= Integer.parseInt(ligne);
		}
		catch(NumberFormatException err)
		{	System.out.println("***erreur de donnees***");
			System.exit(0);
		}
		return x;
	}
	public static char lireChar()
	{
		char x='\0';
		try
		{
			String ligne=lireString();
			x=ligne.charAt(0);
		}
		catch (NumberFormatException err)
		{
			System.out.println ("***erreur de donnees***");
			System.exit(0);
		}
		return x;
		
	}
}
